com.holonplatform.datastore.jpa.querydsl

## Interface QueryDsl

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodity, Serializable

      public interface QueryDsl
      extends com.holonplatform.core.datastore.DatastoreCommodity

  A `DatastoreCommodity` for JPA `Datastore` QueryDSL integration.
  Since:
    5.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.querydsl.core.dml.DeleteClause<?>` | `delete(com.querydsl.core.types.EntityPath<?> path)` Create a new DELETE clause.
    `default JpaQuery<?>` | `from(com.querydsl.core.types.EntityPath<?>... froms)` Create a new Query with the given sources.
    `default JpaQuery<?>` | `from(com.querydsl.core.types.EntityPath<?> from)` Create a new Query with the given source.
    `JpaQuery<?>` | `query()` Create a new query.
    `default JpaQuery<com.querydsl.core.Tuple>` | `select(com.querydsl.core.types.Expression<?>... expressions)` Create a new `JpaQuery` instance with the given projection.
    `default <T> JpaQuery<T>` | `select(com.querydsl.core.types.Expression<T> expression)` Create a new `JpaQuery` instance with the given projection.
    `default JpaQuery<com.querydsl.core.Tuple>` | `selectDistinct(com.querydsl.core.types.Expression<?>... expressions)` Create a new `JpaQuery` instance with the given distinct projection.
    `default <T> JpaQuery<T>` | `selectDistinct(com.querydsl.core.types.Expression<T> expression)` Create a new `JpaQuery` instance with the given distinct projection.
    `default <T> JpaQuery<T>` | `selectFrom(com.querydsl.core.types.EntityPath<T> from)` Create a new `JpaQuery` instance with the given source and projection.
    `default JpaQuery<Integer>` | `selectOne()` Create a new `JpaQuery` instance with the projection one.
    `default JpaQuery<Integer>` | `selectZero()` Create a new `JpaQuery` instance with the projection zero.
    `com.querydsl.core.dml.UpdateClause<?>` | `update(com.querydsl.core.types.EntityPath<?> path)` Create a new UPDATE clause.

- - ### Method Detail

    - #### query

          JpaQuery<?> query()

      Create a new query.
      Returns:
        A new `JpaQuery`

    - #### select

          default <T> JpaQuery<T> select(com.querydsl.core.types.Expression<T> expression)

      Create a new `JpaQuery` instance with the given projection.
      Type Parameters:
        `T` - Expression and query result type
      Parameters:
        `expression` - projection
      Returns:
        A new query with given projection

    - #### select

          default JpaQuery<com.querydsl.core.Tuple> select(com.querydsl.core.types.Expression<?>... expressions)

      Create a new `JpaQuery` instance with the given projection.
      Parameters:
        `expressions` - projections
      Returns:
        A new query with given projection

    - #### selectDistinct

          default <T> JpaQuery<T> selectDistinct(com.querydsl.core.types.Expression<T> expression)

      Create a new `JpaQuery` instance with the given distinct projection.
      Type Parameters:
        `T` - Expression and query result type
      Parameters:
        `expression` - projection
      Returns:
        A new query with given projection

    - #### selectDistinct

          default JpaQuery<com.querydsl.core.Tuple> selectDistinct(com.querydsl.core.types.Expression<?>... expressions)

      Create a new `JpaQuery` instance with the given distinct projection.
      Parameters:
        `expressions` - projection
      Returns:
        A new query with given projection

    - #### selectOne

          default JpaQuery<Integer> selectOne()

      Create a new `JpaQuery` instance with the projection one.
      Returns:
        A new query with given projection

    - #### selectZero

          default JpaQuery<Integer> selectZero()

      Create a new `JpaQuery` instance with the projection zero.
      Returns:
        A new query with given projection

    - #### selectFrom

          default <T> JpaQuery<T> selectFrom(com.querydsl.core.types.EntityPath<T> from)

      Create a new `JpaQuery` instance with the given source and projection.
      Type Parameters:
        `T` - Projection and source type
      Parameters:
        `from` - projection and source
      Returns:
        A new query with given source and projection

    - #### from

          default JpaQuery<?> from(com.querydsl.core.types.EntityPath<?> from)

      Create a new Query with the given source.
      Parameters:
        `from` - Query source
      Returns:
        A new query with given source

    - #### from

          default JpaQuery<?> from(com.querydsl.core.types.EntityPath<?>... froms)

      Create a new Query with the given sources.
      Parameters:
        `froms` - Query sources
      Returns:
        A new query with given source

    - #### update

          com.querydsl.core.dml.UpdateClause<?> update(com.querydsl.core.types.EntityPath<?> path)

      Create a new UPDATE clause.
      Parameters:
        `path` - Entity to update
      Returns:
        A new update clause

    - #### delete

          com.querydsl.core.dml.DeleteClause<?> delete(com.querydsl.core.types.EntityPath<?> path)

      Create a new DELETE clause.
      Parameters:
        `path` - Entity to delete from
      Returns:
        A new delete clause

Copyright © 2017 The Holon Platform. All rights reserved.